Skip to main content
GET
/
2025-06-09
/
users
/
{userLocator}
Get a User
curl --request GET \
  --url https://staging.crossmint.com/api/2025-06-09/users/{userLocator} \
  --header 'X-API-KEY: <x-api-key>'
{
  "userDetails": true,
  "kycData": false,
  "dueDiligence": false,
  "verificationHistory": false,
  "email": "john.doe@example.com",
  "phoneNumber": "+1234567890",
  "userId": "usr_1234567890",
  "legalDocuments": {
    "type": "crossmint-privacy-policy",
    "acceptedAt": "2023-01-01T00:00:00.000Z",
    "isValidVersion": true
  }
}

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

userLocator
string
required

A user locator can be of the format:

  • email:<email>
  • userId:<userId>
  • phoneNumber:<phoneNumber>
  • twitter:<handle>
  • x:<handle>

Response

200 - application/json

User found

userDetails
boolean
required

Whether user details have been provided

Example:

true

kycData
boolean
required

Whether KYC data has been provided

Example:

false

dueDiligence
boolean
required

Whether due diligence data has been provided

Example:

false

verificationHistory
boolean
required

Whether verification history has been provided

Example:

false

email
string

User's email address

Example:

"john.doe@example.com"

phoneNumber
string

User's phone number

Example:

"+1234567890"

userId
string

Unique user identifier

Example:

"usr_1234567890"

List of accepted legal documents

Example:
{
"type": "crossmint-privacy-policy",
"acceptedAt": "2023-01-01T00:00:00.000Z",
"isValidVersion": true
}